LlvmUIPlugin
Date: 2011-05-02

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.cdt.managedbuilder.llvm.ui
Class LlvmUIPlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.ui.plugin.AbstractUIPlugin
              org.eclipse.cdt.managedbuilder.llvm.ui.LlvmUIPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class LlvmUIPlugin

extends org.eclipse.ui.plugin.AbstractUIPlugin

The activator class controls the plug-in life cycle. The main plugin class to be used in the desktop.

Field Summary
`private static LlvmUIPlugin` | `plugin`
`static java.lang.String` | `PLUGIN_ID`
`private java.util.PropertyResourceBundle` | `properties`
`private static java.lang.String` | `PROPERTIES`
`private java.util.ResourceBundle` | `resourceBundle`

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`LlvmUIPlugin()` Constructor.

Method Summary
`static LlvmUIPlugin` | `getDefault()` Returns the shared instance
`java.util.PropertyResourceBundle` | `getProperties()` Get plugin.properties
`static java.lang.String` | `getPropertyString(java.lang.String var)` Get String from the plugin.properties file
`java.util.ResourceBundle` | `getResourceBundle()` Returns the plugin's resource bundle,
`static java.lang.String` | `getResourceString(java.lang.String key)` Returns the string from the plugin's resource bundle, or 'key' if not found.
`void` | `log(org.eclipse.core.runtime.IStatus status)` Log status.
`void` | `log(java.lang.Throwable e)` Log error.
`void` | `start(org.osgi.framework.BundleContext context)`
`void` | `stop(org.osgi.framework.BundleContext context)`

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

### plugin

    private static LlvmUIPlugin plugin

### resourceBundle

    private java.util.ResourceBundle resourceBundle

### PROPERTIES

    private static final java.lang.String PROPERTIES

See Also:
  Constant Field Values

### properties

    private java.util.PropertyResourceBundle properties

Constructor Detail

### LlvmUIPlugin

    public LlvmUIPlugin()

  Constructor.

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  Throws:
    `java.lang.Exception`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  Throws:
    `java.lang.Exception`

### getDefault

    public static LlvmUIPlugin getDefault()

  Returns the shared instance

  Returns:
    the shared instance

### getResourceString

    public static java.lang.String getResourceString(java.lang.String key)

  Returns the string from the plugin's resource bundle, or 'key' if not found.

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle()

  Returns the plugin's resource bundle,

### log

    public void log(java.lang.Throwable e)

  Log error.

  Parameters:
    `e` -

### log

    public void log(org.eclipse.core.runtime.IStatus status)

  Log status.

  Parameters:
    `status` -

### getProperties

    public java.util.PropertyResourceBundle getProperties()

  Get plugin.properties

  Returns:
    PropertyResourceBundle

### getPropertyString

    public static java.lang.String getPropertyString(java.lang.String var)

  Get String from the plugin.properties file

  Parameters:
    `var` - Variable name wanted as a String e.g. "ToolName.assembler.llvm"
  Returns:
    String e.g. LLVM assembler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD